/*
 * Copyright (c) 2005, Kohsuke Ohtani
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * Hardware independent key code for meta keys
 */

#ifndef _PREX_KEYCODE_H
#define _PREX_KEYCODE_H

#define K_CTRL		0x80
#define K_SHFT		0x81
#define K_ALT		0x82
#define K_CAPS		0x83

#define K_INS		0x84
#define K_HOME		0x85
#define K_END		0x86
#define K_PGUP		0x87
#define K_PGDN		0x88
#define K_UP		0x89
#define K_DOWN		0x8a
#define K_LEFT		0x8b
#define K_RGHT		0x8c

#define K_F1		0x90
#define K_F2		0x91
#define K_F3		0x92
#define K_F4		0x93
#define K_F5		0x94
#define K_F6		0x95
#define K_F7		0x96
#define K_F8		0x97
#define K_F9		0x98
#define K_F10		0x99
#define K_F11		0x9a
#define K_F12		0x9b

#endif /* !_PREX_KEYCODE_H */
